package com.adc.da.util.utils;

import com.adc.da.util.exception.AdcDaBaseException;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public class UserUtil {

    public static String getCurrentUserName() {
        HttpServletRequest request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
        String userName = null;
        if (null != request) {
            Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
            if (null != usermap) {
                userName = usermap.get("USERNAME").toString();
            }
        }
        return userName;
    }

    public static String getCurrentUserId() {
        HttpServletRequest request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
        String id = null;
        if (null != request) {
            Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
            if (null != usermap) {
                id = usermap.get("ID").toString();
            }
        }
        return id;
    }

    public static String getQyId() {
        HttpServletRequest request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
        String qyid = null;
        if (null != request) {
            Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
            if (null != usermap) {
                qyid = usermap.get("USERNAME").toString();
            } else {
                throw new AdcDaBaseException("401", "未登录！");
            }
        }
        return qyid;
    }

    public static String getReportPermission() {
        HttpServletRequest request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
        String report = "";
        if (null != request) {
            Map<String, Object> usermap = (Map<String, Object>) request.getSession().getAttribute("usermap");
            if (null != usermap) {
                report = usermap.get("REOPRT_PERMISSION") == null ? "" : usermap.get("REOPRT_PERMISSION").toString();
            } else {
                throw new AdcDaBaseException("401", "未登录！");
            }
        }
        return report;
    }

    public static Map<String, Object> getCurrentUserInfo() {
        HttpServletRequest request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
        Map<String, Object> map = null;
        if (null != request) {
            map = (Map<String, Object>) request.getSession().getAttribute("usermap");
        }
        return map;
    }

}
