 
package com.adc.da.util.utils;

import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.net.InetAddress;
import java.net.ServerSocket;
import java.net.Socket;
import java.net.URL;
import java.net.URLConnection;
import java.security.KeyManagementException;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;
import java.text.ParseException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLSession;
import javax.net.ssl.TrustManager;
import javax.net.ssl.X509TrustManager;
import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;

import org.apache.http.Header;
import org.apache.http.HttpEntity;
import org.apache.http.HttpHeaders;
import org.apache.http.HttpResponse;
import org.apache.http.HttpStatus;
import org.apache.http.client.config.RequestConfig;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.conn.ssl.SSLConnectionSocketFactory;
import org.apache.http.conn.ssl.TrustSelfSignedStrategy;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.ssl.SSLContexts;
import org.apache.http.util.EntityUtils;
import org.jsoup.Connection;
import org.jsoup.Connection.Method;
import org.jsoup.Connection.Response;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;
import org.jsoup.select.Elements;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.util.DigestUtils;

import com.alibaba.fastjson.JSONObject;
import com.eclipsesource.v8.V8;
 
 
/**  

* 创建时间：2020年12月28日 下午6:00:35  

* 项目名称：Java_Demo  

* @author zhong  

* @version 1.0   

* 文件名称：test.java  

* 类说明：  

*/  
/**
 * <p>Title: test</p>  
 * <p>Description: TODO</p>  
 * <p>Company: </p>   
 * @author zhanghong  
 * @date 下午6:00:35  
 */
public class test {
    private static Map<String, String> cookies = null;
    private ServerSocket server = null;
    private static test test = null;
	public static final Map<String, String> statusCodeMAP = new HashMap<String, String>();
	@Value("${file.path}")
    private static String basePath;//默认路径
	
	static String webDriverPath = "D:\\driver\\chromedriver_win32\\chromedriver.exe";
	public void start(){
        try {
            while(true){
                System.out.println("等待客户端链接。。。");
                Socket client = server.accept();
                System.out.println("客户端"+client.getPort()+"已链接！");
                // 启动一个线程来进行交互
                ClientHandler handler = new ClientHandler(client);
                Thread t = new Thread(handler);
                t.start();
            }
        } catch (Exception ex) {
             ex.printStackTrace();
        }
    }
	/**  
	* 项目名称：Java_Demo   
	* 类名称：ClientHandler   
	* 类描述：  与爬虫交互的方法类
	* 创建人：adc_liuyang   
	* 创建时间：2019年1月22日 下午2:45:20   
	* 修改人：adc_liuyang   
	* 修改时间：2019年1月22日 下午2:45:20   
	* 修改备注：   
	* @version 1.0   
	*/
    private class ClientHandler implements Runnable{
        
        private Socket client;
        private String host;
        
        public ClientHandler(Socket client) {
            super();
            this.client = client;
            InetAddress address = client.getInetAddress();
            host = address.getHostAddress();
        }
        
        @Override
        public void run() {
            PrintWriter pw = null;
            try {
                // 通过客户端socket获得IO流
                InputStream in = client.getInputStream();
                BufferedReader br = new BufferedReader(new InputStreamReader (in , "gbk"));               
                OutputStream out  = client.getOutputStream();
                pw = new PrintWriter(new OutputStreamWriter(out,"gbk"),true);
                               
                String message = null;
                String result = "";
                //读取客户端发来的消息,抓取数据并返回状态码
                message = br.readLine();
                if(message !=null){                  
                    try {
                    	//调用爬虫主方法(加入超时处理机制)
                    	Object callMethod = ChromeDriverUtil.callMethod(test, "test" , new Class<?>[]{String.class}, new Object[]{ message } );
                    	if(null != callMethod){
                        	result = callMethod.toString();
                        }else{
                        	result = "查询失败";
                        }
                    } catch (Exception e) {
                         result = "查询失败";
                    }
                    pw.println(statusCodeMAP.get(result));
                }
                
            } catch (IOException ex) {
            	 ex.getMessage() ;
            }finally{
                try {
                    client.close();
                } catch (IOException e) {
                	 e.getMessage();
                }
            }
        }
        
    }
	
	
	public static String sendPost(String url, String param) {
        PrintWriter out = null;
        BufferedReader in = null;
        String result = "";
        try {
            URL realUrl = new URL(url);
            // 打开和URL之间的连接
            URLConnection conn = realUrl.openConnection();
            // 设置通用的请求属性
            conn.setRequestProperty("accept", "*/*");
            conn.setRequestProperty("connection", "Keep-Alive");
            conn.setRequestProperty("user-agent",
                    "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
            // 发送POST请求必须设置如下两行
            conn.setDoOutput(true);
            conn.setDoInput(true);
            // 获取URLConnection对象对应的输出流
            out = new PrintWriter(conn.getOutputStream());
            // 发送请求参数
            out.print(param);
            // flush输出流的缓冲
            out.flush();
            // 定义BufferedReader输入流来读取URL的响应
            in = new BufferedReader(
                    new InputStreamReader(conn.getInputStream(),"UTF-8"));
            String line;
            while ((line = in.readLine()) != null) {
                result += line;
            }
        } catch (Exception e) {
         	return "查询失败";
        }
        //使用finally块来关闭输出流、输入流
        finally{
            try{
                if(out!=null){
                    out.close();
                }
                if(in!=null){
                    in.close();
                }
            }
            catch(IOException ex){
             }
        }
        return result;
    }    
	 
	public static String sendGet(String url, String param) {
        String result = "";
        BufferedReader in = null;
        try {
            String urlNameString = url + "?" + param;
            URL realUrl = new URL(urlNameString);
            // 打开和URL之间的连接
            URLConnection connection = realUrl.openConnection();
            // 设置通用的请求属性
            connection.setRequestProperty("accept", "*/*");
            connection.setRequestProperty("connection", "Keep-Alive");
            connection.setRequestProperty("user-agent","Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");         
            connection.connect();
            in = new BufferedReader(new InputStreamReader(
                    connection.getInputStream(),"UTF-8"));
            String line;
            while ((line = in.readLine()) != null) {
                result += line;
            }
        } catch (Exception e) {
        	System.out.println(e);
         	return "查询失败";
        }
        // 使用finally块来关闭输入流
        finally {
            try {
                if (in != null) {
                    in.close();
                }
            } catch (Exception ex) {
             }
        }
        return result;
    } 
    public static String  evaljs(String js){
        ScriptEngineManager manager = new ScriptEngineManager();
        ScriptEngine engine = manager.getEngineByName("javascript");
        String o="";
        try{
        	 
        	//执行指定脚本  
        	o=engine.eval(js).toString();   
            }catch(Exception e){
            e.printStackTrace();
        }
		return  o;
    }
	/**   
	 * @Title: main   
	 * @Description: TODO(这里用一句话描述这个方法的作用)    
	 * @param @param args    设定文件   
	 * @return void    返回类型   
	 * @author ADC_ZH 
	 * @throws ParseException 
	 * @date 下午6:00:35 
	*/   
	public static void main(String[] args) throws ParseException {
//		getGs346();
		getPic();
//		testgongshiInfo("");
		/*
		Date da=new Date();
		long thistime=da.getTime()/1000;
		
		
//		System.out.println(thistime);
		DateFormat dateFormat1 =new SimpleDateFormat("yyyy-MM-dd");
		Date myDate2005 = dateFormat1.parse("2017-07-01");
		Date myDate315 = dateFormat1.parse("2021-01-15");

		long t315=myDate315.getTime()/1000;

		long t2005=myDate2005.getTime()/1000;
		System.out.println((thistime-t2005)/604800);
		System.out.println((t315-t2005)/604800);

		double d=11;
		System.out.println(Math.log(d)/Math.log(2));*/
// 		try {
//			login("GX120004","G+%hk96L");
//		getMessage("ggz_wqy","as@6945498");
// 				login_miit("ggz_wqy","as@6945498","507767");
// 				tuijianmulu();
// 		} catch (Exception e) {
 		// TODO Auto-generated catch block
// 			e.printStackTrace();
//		}
//		testPostForm("ZC","339");
//		yizhixing();
//		tuijianmulu();
//		testgongshi();
//		getPic();
//		prometheus();
//		testPostForm("DP","339");
//    	getBycph("DEMC56NA017","D");
 	}
	
	private static String createByPost() {
			Runtime r = Runtime.getRuntime();
            System.out.println("开始执行。。。。。。。。。。");
            String command = " "
            		+ " python D:\\imgePython\\moban.py "
            		+ " -src http://necaptcha.nosdn.127.net/348e750d19444bbbb4c2b75f91e84827.jpg "
            		+ " -tem http://necaptcha.nosdn.127.net/35f78054811f4ae58656d8c40e49b366.png -txtname D:\\imgePython\\3.txt" ; 
            String command2 = "ipconfig /all " ;
//            String[] cmd = new String[]{"cmd.exe", "/C", command};
            Process p = null;
            try {
            	        p = r.exec("cmd.exe /k start"+command2); 
            	        //	Runtime.getRuntime().exec("cmd.exe /c start "+command);  
                System.out.println(command2);
                int i = p.waitFor();
                if (i != 0) {
                    throw new IOException("执行图像识别失败");
                }
            } catch (IOException e) {
                e.printStackTrace();
            } catch (InterruptedException e) {
                e.printStackTrace();
            }finally {
            	p.destroy();
            }
			return command2;
      }
	private static String getgov() {
		String queryUrl = "https://www.miit.gov.cn/api-gateway/jpaas-publish-server/front/page/build/unit"  ;
		String parm="parseType=bulidstatic&webId=8d828e408d90447786ddbe128d495e9e&tplSetId=209741b2109044b5b7695700b2bec37e&pageType=column&tagId=%E5%BD%93%E5%89%8D%E6%A0%8F%E7%9B%AE_list&editType=null&pageId=c52d8862a87d454582ed7c46513978d9";
		String resultHtml = sendGet(queryUrl,parm);
		JSONObject jsonObject = GsonUtil.json2T(resultHtml, JSONObject.class);
		try {
			Object o=jsonObject.getString("data");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
 		return "";
  }
	
	private static String thlmpost() {
		String queryUrl = "https://www.miit.gov.cn/api-gateway/jpaas-publish-server/front/page/build/unit"  ;
		String parm="parseType=bulidstatic&webId=8d828e408d90447786ddbe128d495e9e&tplSetId=209741b2109044b5b7695700b2bec37e&pageType=column&tagId=%E5%BD%93%E5%89%8D%E6%A0%8F%E7%9B%AE_list&editType=null&pageId=c52d8862a87d454582ed7c46513978d9";
		String resultHtml = sendGet(queryUrl,parm);
		JSONObject jsonObject = JSONObject.parseObject(resultHtml);
		Object o=jsonObject.getString("data");
		JSONObject jsonObject2 = JSONObject.parseObject(o.toString());
		Object o2=jsonObject2.getString("html");
		Document document = Jsoup.parse(o2.toString());
        Element postList = document.getElementById("当前栏目_list");
        Elements postItems = postList.getElementsByClass("cf");
        for (Element postItem : postItems) {
            Elements titleEle = postItem.select("a[class='fl']");
            System.out.println("文章标题:" + titleEle.text());
            System.out.println("发布日期:" + postItem.getElementsByClass("fr").text());
            System.out.println("文章地址:" + "https://www.miit.gov.cn/"+titleEle.attr("href"));
        }
         
		return "";
  }
	private static String prometheus() { 
        String Url = "http://192.168.110.33:9090/api/v1/query_range";
        String parm = "query=node_cpu_seconds_total{hostname=%22iZ8vbins02ik27rde77pl2Z%22,instance=%2239.99.149.182:9100%22,job=%22all-node%22,mode=%22idle%22}&start=1613937600&end=1613980800&step=1800";
    	Connection conn = Jsoup.connect("http://192.168.110.33:9090/api/v1/query_range?query=up");
    	String resultHtml = sendGet(Url,parm);
		JSONObject jsonObject = GsonUtil.json2T(resultHtml, JSONObject.class);
		System.out.println(jsonObject.toString());
     

         
		return "";
  }
	
	public static void testPostForm(String scope,String text_pc){
        try {
//        	System.out.println(cookies);
        	int page=1;
        	Connection conn = Jsoup.connect("http://app.miit-eidc.org.cn/eidcdatsrv/gonggao/doQuery.jsp");
        	conn.data("query_scope",scope);
    		conn.data("query_text",text_pc);
    		conn.data("query_page_num",String.valueOf(page));
        	Document doc = conn.cookies(cookies).post();
        	if(doc.select("table[class=query_result_table]").size()>0){
        		Elements rows = doc.select("table[class=query_result_table]").get(0).select("tr");
        		try {
        			System.out.println("-------------------------第"+page+"页---------------------------------------");
        			for(int i=1;i<rows.size();i++)
        			{
        				Element row = rows.get(i);
        				String cph=row.getElementsByClass("query_result_cph_link").text();
        				System.out.println("----------------------第"+i+"个产品："+cph+"---------------------------------------");
//                	getBycph(cph,"Z");
        				getBycph(cph,"D");
        			}
        		} catch (Exception e) {
        			e.printStackTrace();
        		}  
        		page=Integer.parseInt(doc.getElementById("query_page_count").val());
        		if(page>1){
        			System.out.println("第"+page+"页");
        			for(int p=2;p<=page;p++){
        				conn.data("query_page_num",String.valueOf(p));
        				Document doc_next = conn.cookies(cookies).post();    
        			}
        		}
//        	getBycph("AP5FR6PA04R","Z");
        	}else{
        		System.out.println(scope+"无数据");
        	}
        } catch (IOException e) {          
            e.printStackTrace();
        }
    }
	public static void getBycph(String cph, String type){
        try {
//        	System.out.println(cookies);
        	String url="http://app.miit-eidc.org.cn/eidcdatsrv/gonggao/hisDatQuery.jsp";
        	Connection conn = Jsoup.connect(url);

//        	Connection conn = Jsoup.connect("http://csgl.tj.gov.cn/zl/rqgrbz/202012/t20201215_5020367.html");
        	
        	conn.data("cph",cph);
    		conn.data("db_tag",type);
        	Document doc = conn.cookies(cookies).get();
//        	System.out.println(doc);
        	

            Elements rows = doc.select("table[class=his_param_table]").get(0).select("tr");
    		try {
    			for(int i=1;i<rows.size();i++)
                {
//                    System.out.println(i);
                    Element row = rows.get(i);
                    for(int pic=0;pic<row.getElementsByTag("img").size();pic++){                    	
                    	System.out.println(row.getElementsByTag("img").get(pic).attr("abs:src"));
                    }
                    for(int t=0;t<row.select("td").size();t=t+2){
                        try {
//							System.out.println(row.select("td").get(t).text()+":"+row.select("td").get(t+1).text());
						} catch (Exception e) {
//							e.printStackTrace();
						}
                    }  
                 }
    		} catch (Exception e) {
    			e.printStackTrace();
    		} 


        } catch (IOException e) {          
            e.printStackTrace();
        }
    }
	
	public static void login(String qyid , String password) throws IOException {
        String urlLogin = "http://app.miit-eidc.org.cn/eidcdatsrv/gonggao/doLogin.jsp";
        Connection connect = Jsoup.connect(urlLogin);
        // 伪造请求头
        connect.header("Accept", "application/json, text/javascript, */*; q=0.01").header("Accept-Encoding",
                "gzip, deflate");
        connect.header("Accept-Language", "zh-CN,zh;q=0.9").header("Connection", "keep-alive");
        connect.header("Content-Length", "7525").header("Content-Type",
                "application/x-www-form-urlencoded; charset=UTF-8");
        connect.header("Host", "app.miit-eidc.org.cn").header("Referer", "http://app.miit-eidc.org.cn");
        connect.header("User-Agent",
                "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36")
                .header("X-Requested-With", "XMLHttpRequest");
        
        // 携带登陆信息
        connect.data("username", qyid).data("password", password);
        
        //请求url获取响应信息
        Response res = connect.ignoreContentType(true).method(Method.POST).execute();// 执行请求
    	System.out.println(res.cookies());

        String rows = res.parse().select("title").text();
        if(rows!=null &&"登录".equals(rows)){        	
        	System.out.println(qyid+"登录失败");
        }else if(rows!=null &&"工业和信息化部装备工业中心".equals(rows)){
//        	System.out.println(qyid+"成功！！！！！！！！");
        }
        // 获取返回的cookie
        cookies = res.cookies();
    }
	
	
	/**
	 * 
	 * 装备中心企业申报端登录
	 * @param msg 
	 */
	public static void login_miit(String qyid , String password, String yznum) throws IOException {
		Map<String, String> cookies = new HashMap<>();

		String Md5_Password =DigestUtils.md5DigestAsHex(password.getBytes());
        String urlLogin = "https://clcpzr-enterprise.miit.gov.cn/clcpzr-ent/LoginCtrl/checkSSO";
        Connection connect = Jsoup.connect("http://app.miit-eidc.org.cn/eidcdatsrv/gonggao/doQuery.jsp").ignoreContentType(true);
        // 伪造请求头
        connect.header("Accept", "application/json, text/javascript, */*; q=0.01").header("Accept-Encoding",
                "gzip, deflate");
        connect.header("Accept-Language", "zh-CN,zh;q=0.9").header("Connection", "keep-alive");
        connect.header("Content-Length", "7525").header("Content-Type",
                "application/x-www-form-urlencoded; charset=UTF-8");
        connect.header("Host", "app.miit-eidc.org.cn").header("Referer", "app.miit-eidc.org.cn");
        connect.header("User-Agent",
                "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36")
                .header("X-Requested-With", "XMLHttpRequest");

 //        cookies.put("_const_baseuc_from_", "LoginCtrl%2Flogin");
        // 携带登陆信息
//        connect.data("name", "汽车产品准入管理系统").data("accessTime", "2021-03-04 14:31:26").data("code","49");
//        connect.data("userId", "593c9878174c49dfb2c87c37ece6ca4e").data("userName", "吴青洋").data("visitType","1");
//        cookies.put("route", "1614757868.222.600.723964");
//        cookies.put("SESSION", "NDRkMWJjMzktMWVkYy00MDkzLWFlOGYtMWFkZmFjZDM1MzMw");
//        cookies.put("cssSessionId", "224ce37b284e49bbaa252adbe2bdefc7");
        connect.data("query_scope", "ZC").data("query_text", "340").data("query_page_num","1");
        cookies.put("JSESSIONID", "AA5AD9DDC72A7AD2ED42668CC6FB8043");
        connect.cookies(cookies);
        //请求url获取响应信息
        Response res = connect.ignoreContentType(true).method(Method.POST).execute();// 执行请求
        System.out.println(res.body());
//        
//        String rows = res.parse().select("title").text();
//        if(rows!=null &&"登录".equals(rows)){        	
//        	System.out.println(qyid+"登录失败");
//        }else if(rows!=null &&"工业和信息化部装备工业中心".equals(rows)){
////        	System.out.println(qyid+"成功！！！！！！！！");
//        }
//        System.out.println( res.cookies());
//        // 获取返回的cookie
//        cookies = res.cookies();
//		Map<String, String> cookies = new HashMap<>();
//        cookies.put("cssSessionId", "224ce37b284e49bbaa252adbe2bdefc7");
//        cookies.put("route", "1614757868.222.600.723964");
//        cookies.put("SESSION", "NDk0YmY4YzQtNTE0MS00MWI2LTk2ODMtZjdiZGQxYWQ5Njg2");

        String urlMain = "https://clcpzr-enterprise.miit.gov.cn/clcpzr-ent/InspectionStatisticsCtrl/getInspectionStatisticsByApplyId/GN010002_1551076366303";
        Connection conn = Jsoup.connect(urlMain).ignoreContentType(true);
     // 伪造请求头
        conn.header("Accept", "application/json, text/javascript, */*");
        conn.header("Accept-Encoding","gzip, deflate, br");
        conn.header("Accept-Language", "zh-CN,zh;q=0.9");
        conn.header("Authorization", "");
        conn.header("Connection", "keep-alive");
        conn.header("Content-Length", "2");
        conn.header("Content-Type","application/json;charset=UTF-8");
        conn.header("Cookie", "SESSION=NDRkMWJjMzktMWVkYy00MDkzLWFlOGYtMWFkZmFjZDM1MzMw; route=1614757868.222.600.723964; cssSessionId=224ce37b284e49bbaa252adbe2bdefc7");
        conn.header("Host", "clcpzr-enterprise.miit.gov.cn");
        conn.header("Referer", "https://clcpzr-enterprise.miit.gov.cn/clcpzr-front/addNewCar?isAnnounc=1&applyOperationCode=01&modelName=xcp&readOnly=1&applyId=GN010002_1551076366303&applyCode=B&applyName=%E4%BA%8C%E7%B1%BB%E5%BA%95%E7%9B%98%EF%BC%8C%20%E4%BA%8C%E7%B1%BB%E5%BA%95%E7%9B%98&applyMethod=dp&vehicleCode=02&vehicleName=%E8%B4%A7%E8%BD%A6&isXNY=0&isMeetingDualSlope=0&isStatisticsSt=0&shapingInstitutionCode&inspectionInstitutionCode=QD&productStandardName=%E8%BD%BD%E8%B4%A7%E6%B1%BD%E8%BD%A6%E5%BA%95%E7%9B%98&typeName=change&applyType=qc");
        conn.header("Origin", "https://clcpzr-enterprise.miit.gov.cn");
        conn.header("User-Agent","Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36")
                .header("sec-ch-ua", "\"Chromium\";v=\"88\", \"Google Chrome\";v=\"88\", \";Not A Brand\";v=\"99\"")
                .header("Sec-Fetch-Dest", "empty")
                .header("sec-ch-ua-mobile", "0")
                .header("Sec-Fetch-Mode", "cors")
                .header("Sec-Fetch-Site", "same-origin");
        connect.data("name", "汽车产品准入管理系统").data("accessTime", "2021-03-04 14:31:26").data("code","49");
      	connect.data("userId", "593c9878174c49dfb2c87c37ece6ca4e").data("userName", "吴青洋").data("visitType","1");
      	cookies.put("route", "1614757868.222.600.723964");
      	cookies.put("SESSION", "OWFiYWY0NzgtNzhmYS00MjdlLTlhMjctODVkMGY1Y2JlM2Uy");
      	cookies.put("cssSessionId", "224ce37b284e49bbaa252adbe2bdefc7");
        Document doc = conn.timeout(30000).cookies(cookies).validateTLSCertificates(true).post();
		System.out.println(doc);
        Response res1 = conn.cookies(cookies).method(Method.POST).execute();// 执行请求
        System.out.println(res1.cookies()); 
	    System.out.println(res1.body());
    }
	/**
	 * 获取短信验证码
	 * 装备中心企业申报端
	 */
	public static void getMessage(String qyid , String password) {
			String Md5_Password =DigestUtils.md5DigestAsHex(password.getBytes());
 	        Connection conn = Jsoup.connect("https://ucenter.miit.gov.cn/sendMessage.action").ignoreContentType(true);
        	conn.data("username",qyid);
    		conn.data("logintype","sendMessage");
    		conn.data("password",Md5_Password);
    		// 伪造请求头
    		conn.header("Accept", "application/json, text/javascript, */*; q=0.01").header("Accept-Encoding",
                    "gzip, deflate");
    		conn.header("Accept-Language", "zh-CN,zh;q=0.9").header("Connection", "keep-alive");
    		conn.header("Content-Length", "7525").header("Content-Type",
                    "application/x-www-form-urlencoded; charset=UTF-8");
    		conn.header("Host", "ucenter.miit.gov.cn").header("Referer", "ucenter.miit.gov.cn");
    		conn.header("User-Agent",
                    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36")
                    .header("X-Requested-With", "XMLHttpRequest");
            
        	try {
				Document doc = conn.timeout(30000).validateTLSCertificates(true).post();
				System.out.println(doc);
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
 			
		}

public static Document sendHttp(String url) {
        String html = "";
        CloseableHttpClient httpclient = null;
        CloseableHttpResponse response = null;
        try {
            SSLConnectionSocketFactory sslsf = createSSLConnSocketFactory();
            httpclient = HttpClients.custom()
                .setSSLSocketFactory(sslsf).build();
            HttpGet httpget = new HttpGet(url);
            httpget.addHeader(HttpHeaders.USER_AGENT,
                    "Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0");
            RequestConfig requestConfig = RequestConfig.custom()
                    .setSocketTimeout(10000).setConnectTimeout(10000).build();// 设置请求和传输超时时间
            httpget.setConfig(requestConfig);
            System.out.println("Executing request " + httpget.getRequestLine());
            response = httpclient.execute(httpget);
            HttpEntity entity = response.getEntity();
            System.out.println("----------------------------------------");
            System.out.println(response.getStatusLine());
            int resStatu = response.getStatusLine().getStatusCode();// 返回码
            if (resStatu == HttpStatus.SC_OK) {// 200正常 其他就不对
                // 获得相应实体
                if (entity != null) {
                    html = EntityUtils.toString(entity, "UTF-8");
                    html = html.replace("&nbsp;", " ");
                }
            }
            EntityUtils.consume(entity);
        } catch(Exception e){
            e.printStackTrace();
        }finally{
            if(response!=null){
                try {
                    response.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            if(httpclient!=null){
                try {
                    httpclient.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
        Document document = Jsoup.parse(html);
		return document;
    } 
	// ssl通道证书的创建
    private static SSLConnectionSocketFactory createSSLConnSocketFactory()
            throws Exception {
        SSLContext sslcontext = SSLContexts
                .custom()
                .loadTrustMaterial(
                        new File("C:/Users/MYMY/Desktop/key_miit.keystore"),
                        "123456".toCharArray(), new TrustSelfSignedStrategy())   //文件和密码要对应
                .build();
        SSLConnectionSocketFactory sslsf = new SSLConnectionSocketFactory(
                sslcontext, new String[] { "TLSv1" }, null,
                SSLConnectionSocketFactory.getDefaultHostnameVerifier());
        return sslsf;
    }
	/**
	 * 现在很多站点都是SSL对数据传输进行加密，这也让普通的HttpConnection无法正常的获取该页面的内容，
	 * 而Jsoup起初也对此没有做出相应的处理， 
	 * 想了一下是否可以让Jsoup可以识别所有的SSL加密过的页面，查询了一些资料，发现可以为本地HttpsURLConnection配置一个“万能证书”，其原理是就是：
	 * 重置HttpsURLConnection的DefaultHostnameVerifier，使其对任意站点进行验证时都返回true
	 * 重置httpsURLConnection的DefaultSSLSocketFactory， 使其生成随机证书
	 * 后来Jsoup Connection提供了validateTLSCertificates(boolean validate)//是否进行TLS证书验证,不推荐
	 */
	static {
		try {
			// 重置HttpsURLConnection的DefaultHostnameVerifier，使其对任意站点进行验证时都返回true
			HttpsURLConnection.setDefaultHostnameVerifier(new HostnameVerifier() {
				public boolean verify(String hostname, SSLSession session) {
					return true;
				}
			});
			// 创建随机证书生成工厂
			//SSLContext context = SSLContext.getInstance("TLS");
			SSLContext context = SSLContext.getInstance("TLSv1.2");
	        context.init(null, new X509TrustManager[] { new X509TrustManager() {
				public void checkClientTrusted(X509Certificate[] chain, String authType) throws CertificateException {
				}
 
				public void checkServerTrusted(X509Certificate[] chain, String authType) throws CertificateException {
				}
 
				public X509Certificate[] getAcceptedIssuers() {
					return new X509Certificate[0];
				}
			} }, new SecureRandom());
 
			// 重置httpsURLConnection的DefaultSSLSocketFactory， 使其生成随机证书
			HttpsURLConnection.setDefaultSSLSocketFactory(context.getSocketFactory());
		} catch (Exception e) {
			e.printStackTrace();
		}
	} 
	//查询江淮一致性用
	private static String yizhixing() {

	    String detailInfoUrl = "http://atestsc.mot.gov.cn/page/notice/22/372592d7-ff55-4cb8-b04c-ab817168533b.html"; 
    	Connection conn = Jsoup.connect(detailInfoUrl);
    	

		try {
			Document doc = conn.get();
			Elements rows = doc.select("table[class=info-table thCenter w]").get(1).select("tr");
			for(int i=0;i<rows.size();i++)
            {
//                System.out.println(i);
                Element row = rows.get(i);
                for(int t=0;t<row.select("td").size();t=t+2){
                    try {
						System.out.println(row.select("td").get(t).text()+":"+row.select("td").get(t+1).text());
						for(int pic=0;pic<row.getElementsByTag("img").size();pic++){                    	
							System.out.println(row.select("td").get(t).text()+pic+":"+row.getElementsByTag("img").get(pic).attr("abs:src"));
						}
					} catch (Exception e) {
						e.printStackTrace();
					}
                }  
             }
		} catch (Exception e) {
			e.printStackTrace();
		} 

		return "";
  }
    private static String REGEX_CHINESE = "[\u4e00-\u9fa5]";// 中文正则
    private static String REGEX_ENGLISH = "[^\u4e00-\u9fa5]";// 英文正则
    public static String getGs346() {
		System.setProperty("https.protocols", "TLSv1.2");
		System.setProperty("jdk.tls.client.protocols", "TLSv1.2");
		Map<String, String> cookies = new HashMap<String, String>();
//  		String UrlIndex ="https://www.miit.gov.cn/datainfo/dljdclscqyjcpgg/xcpgs346/index.html";

  		String UrlIndex ="https://www.miit.gov.cn/api-gateway/jpaas-publish-server/front/page/build/unit?"
  				+ "webId=b3eba6883f9240e2b51025f690afbae8&pageId=4ca8c1d4153a4b529df284d0a9c6dda5"
  				+ "&parseType=bulidstatic"
  				+ "&pageType=column"
  				+ "&tagId=%E4%BF%A1%E6%81%AF%E5%88%97%E8%A1%A8"
  				+ "&tplSetId=9a9a7b87a4444169bdef99ff1f84e1aa"
  				+ "&unitUrl=%2Fapi-gateway%2Fjpaas-publish-server%2Ffront%2Fpage%2Fbuild%2Funit"
  				+ "&paramJson=%7B%22pageNo%22%3A"
  				+ "2"
  				+"%2C%22pageSize%22%3A%2220%22%2C%22loadEnabled%22%3Atrue%2C%22search%22%3A%22%7B%5C%22title%5C%22%3A%5C%22%5C%22%2C%5C%22PICI%5C%22%3A%5C%22346%5C%22%2C%5C%22QYMC%5C%22%3A%5C%22%5C%22%2C%5C%22CPSB%5C%22%3A%5C%22%5C%22%2C%5C%22CPMC%5C%22%3A%5C%22%5C%22%2C%5C%22CPXH%5C%22%3A%5C%22%5C%22%7D%22%7D";
			System.out.println(UrlIndex); 
			try { 
				 X509TrustManager trustManager = new X509TrustManager() {
					 @Override
					 public void checkClientTrusted(X509Certificate[] chain, String authType) throws CertificateException {
					 }
					 
					 @Override
					 public void checkServerTrusted(X509Certificate[] chain, String authType) throws CertificateException {
					 }
					 
					 @Override
					 public X509Certificate[] getAcceptedIssuers() {
						 return null;
					 }
				 
				 }; 
			    SSLContext sc = SSLContext.getInstance("TLSv1.2");
			    sc.init(null, new TrustManager[] { trustManager }, null);
			    SSLConnectionSocketFactory sslsf = new SSLConnectionSocketFactory(sc);
			    CloseableHttpClient httpclient = HttpClients.custom().setSSLSocketFactory(sslsf).build(); 
	            HttpGet get = new HttpGet(UrlIndex);
	            get.setHeader("Upgrade-Insecure-Requests", "1");
	            get.setHeader("User-Agent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.110 Safari/537.36");
//	            Connection connect1 = Jsoup.connect(imageSrc);
//	            Connection.Response response1 = connect1.ignoreContentType(true).method(Method.GET).execute();// 执行请求
	            Document document = Jsoup.parse(UrlIndex);
 	            HttpResponse response = httpclient.execute(get);
	            String __jsluid = getJsluid(response);
	            String body = getResponseBodyAsString(response);
 	            String __jsl_clearance = getJslClearance(body);
	            HttpGet get2 = new HttpGet(UrlIndex);
	            get2.setHeader("Upgrade-Insecure-Requests", "1");
	            get2.setHeader("User-Agent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.110 Safari/537.36");
	            get2.setHeader("userAgent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.110 Safari/537.36");
 	            get2.setHeader("cookie", __jsluid + "; " + __jsl_clearance);
 	            HttpResponse response2 = httpclient.execute(get2);
 	            String body2 = getResponseBodyAsString(response2);
 	            String __jsl_clearance2 = getJslClearance2(body2);
 	            Connection connect = Jsoup.connect(UrlIndex);
 	            // 伪造请求头
 	            connect.header("Accept", "application/json, text/javascript, */*; q=0.01").header("Accept-Encoding",
 	            		"gzip, deflate");
 	            connect.header("Accept-Language", "zh-CN,zh;q=0.9").header("Connection", "keep-alive");
 	            connect.header("Content-Length", "7525").header("Content-Type",
 	            		"image/jpeg");
 	            connect.header("Host", "app.miit-eidc.org.cn").header("Referer", "http://app.miit-eidc.org.cn");
 	            connect.header("User-Agent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.110 Safari/537.36");
 	            connect.header("X-Requested-With", "XMLHttpRequest");
 	            cookies.put("__jsluid_s", __jsluid.replace("__jsluid_s=", ""));
 	            cookies.put("__jsl_clearance_s",__jsl_clearance2.replace(";max-age=3600; path = /", ""));
 	            connect.cookies(cookies);
 	            //System.out.println(cookies); 
 	            Connection.Response response3 = connect.ignoreContentType(true).method(Method.GET).execute();
 	           Document doc = connect.get();
 	  			System.out.println(doc);
 	           System.out.println(response3);
				} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (NoSuchAlgorithmException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (KeyManagementException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}catch (Exception e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		 
		return "";    
	}
	
  //公示新产品
  	public static String testgongshi(String page) {
  		for(int y=1 ;y<=Integer.parseInt(page);y++){
  			System.out.println("第"+y+"页");
  			String Url = "https://www.miit.gov.cn/api-gateway/jpaas-publish-server/front/page/build/unit?webId=b3eba6883f9240e2b51025f690afbae8&pageId=8804f244596840cc8d776e799b2a92a2&parseType=bulidstatic&pageType=column&tagId=%E4%BF%A1%E6%81%AF%E5%88%97%E8%A1%A8&tplSetId=9a9a7b87a4444169bdef99ff1f84e1aa&unitUrl=%2Fapi-gateway%2Fjpaas-publish-server%2Ffront%2Fpage%2Fbuild%2Funit"
  					+ "&paramJson=%7B%22pageNo%22%3A"
  					+ y
  					+ "%2C%22pageSize%22%3A20%2C%22loadEnabled%22%3Atrue%2C%22search%22%3A%22%7B%5C%22title%5C%22%3A%5C%22%5C%22%2C%5C%22PICI%5C%22%3A%5C%22343%5C%22%2C%5C%22QYMC%5C%22%3A%5C%22%5C%22%2C%5C%22CPSB%5C%22%3A%5C%22%5C%22%2C%5C%22CPMC%5C%22%3A%5C%22%5C%22%2C%5C%22CPXH%5C%22%3A%5C%22%5C%22%7D%22%7D";
  			
  			
  			
  			
  			Connection conn = Jsoup.connect(Url).ignoreContentType(true);
  			
  			
  			try {
  				Document doc = conn.get();
//  			System.out.println(doc);
  				Elements rows = doc.select("tbody").get(0).select("tr");
  				for(int i=1;i<rows.size();i++)
  				{
//                  System.out.println(i);
  					Element row = rows.get(i);
//                  System.out.println(row.select("td").get(0).text()+":"+row.select("td").get(1).text());
  					
  					System.out.println(row.select("td").get(0).text()+"	"+row.select("td").get(1).text() +"	"+row.select("td").get(2).text() +"	"+row.select("td").get(3).text()+"	"+row.select("td").get(0).getElementsByTag("a").attr("href"));
  					List<String> line=new ArrayList<>(); 
					line.add(row.select("td").get(0).text()+"	"+row.select("td").get(1).text() +"	"+row.select("td").get(2).text() +"	"+row.select("td").get(3).text()+"	"+row.select("td").get(0).getElementsByTag("a").attr("href"));
					 
					writeTxt(line);
  					
  					/*for(int t=0;t<row.select("td").size();t=t+1){
                      try {
  						for(int pic=0;pic<row.getElementsByTag("img").size();pic++){                    	
  							System.out.println(row.select("td").get(t).text()+pic+":"+row.getElementsByTag("img").get(pic).attr("abs:src"));
  						}
  					} catch (Exception e) {
  						e.printStackTrace();
  					}
                  }  */
  				}
  			} catch (Exception e) {
  				e.printStackTrace();
  			} 
  		}

  		return "";
    }
  	
  	public static String testgongshiInfo(String page) {  
  			String Url = "https://www.miit.gov.cn"+"/datainfo/dljdclscqyjcpgg/xcpgs343/art/2021/art_f3636f9ddaab4fd086bd54fb259633e9.html";
  					 
  			Connection conn = Jsoup.connect(Url).ignoreContentType(true);
  			
  			
  			try {
  				Document doc = conn.get();
  			System.out.println(doc);
//  				 Elements rows = doc.select("tbody").get(0).select("tr");
  				/*for(int i=1;i<rows.size();i++)
  				{
//                  System.out.println(i);
  					Element row = rows.get(i);
//                  System.out.println(row.select("td").get(0).text()+":"+row.select("td").get(1).text());
  					
  					System.out.println(row.select("td").get(0).text()+"	"+row.select("td").get(1).text() +"	"+row.select("td").get(2).text() +"	"+row.select("td").get(3).text()+"	"+row.select("td").get(0).getElementsByTag("a").attr("href"));
  					List<String> line=new ArrayList<>(); 
					line.add(row.select("td").get(0).text()+"	"+row.select("td").get(1).text() +"	"+row.select("td").get(2).text() +"	"+row.select("td").get(3).text()+"	"+row.select("td").get(0).getElementsByTag("a").attr("href"));
					 
					writeTxt(line);
  					
  					for(int t=0;t<row.select("td").size();t=t+1){
                      try {
  						for(int pic=0;pic<row.getElementsByTag("img").size();pic++){                    	
  							System.out.println(row.select("td").get(t).text()+pic+":"+row.getElementsByTag("img").get(pic).attr("abs:src"));
  						}
  					} catch (Exception e) {
  						e.printStackTrace();
  					}
                  }  
  				}*/
  			} catch (Exception e) {
  				e.printStackTrace();
  			} 
  		  

  		return "";
    }
	//340推荐目录
	private static String tuijianmulu() {

	    String detailInfoUrl = "http://127.0.0.1:7008/ADC/2021_4.html"; 
    	Connection conn = Jsoup.connect(detailInfoUrl);
    	

		try {
			Document doc = conn.get();
			System.out.println(doc.select("div[id=divBody]").size());
			for(int table=0 ;table<doc.select("div[id=divBody]").size();table=table+1){
				
//				System.out.println(doc.select("div[id=divBody]").get(table).getElementsByTag("strong").get(0).text());
				String title=doc.select("div[id=divBody]").get(table).select("table[class=list-table]").prev().text();
				System.out.println(title);
				String[] tit=title.split(" ");
//				System.out.println(t[2]); 
//				Pattern pat = Pattern.compile(REGEX_CHINESE);
//				Matcher mat = pat.matcher(t[2]);
				String clxh="";
				for(int q=0;q<tit.length;q++){
					if(q==2){
						clxh+=tit[2].replaceAll(REGEX_CHINESE, "")+"	"+tit[2].replaceAll(REGEX_ENGLISH, "")+"	";
					}else if(q==0){
						clxh+=tit[q].replaceAll(REGEX_ENGLISH, "")+"	";						
					}else{
						clxh+=tit[q]+"	";			
					}
				}
		        

				System.out.println(clxh); 

				Elements rows = doc.select("table[class=list-table]").get(table).select("tr");
				List<String> pzid=new ArrayList<>();
				for(int i=0;i<rows.size();i++){
					Element row = rows.get(i);
					try { 
						if(row.select("th").size()>0){ 
							List<String> line=new ArrayList<>();
							for(int t=0;t<row.select("td").size();t=t+1){
								System.out.println(clxh+"	"+pzid.get(t)+"	"+row.select("th").get(0).text()+"	"+row.select("td").get(t).text());
								line.add(pzid.get(t)+"	"+row.select("th").get(0).text()+"	"+row.select("td").get(t).text()+"	"+clxh);
							}
							writeTxt(line);
						}else{
							for(int t=1;t<row.select("td").size();t=t+1){
								System.out.println(row.select("td").get(0).text()+row.select("td").get(t).text());                    			
								pzid.add(row.select("td").get(t).text().toString().replace("配置ID：", "").replace("*", ""));
							}
						}
						
					} catch (Exception e) {
						e.printStackTrace();
					}
//                System.out.println(i);
				}  
			}
			
 
             
		} catch (Exception e) {
			e.printStackTrace();
		} 

		return "";
  }
	
	private static String writeTxt(List<String> line){
		try {
			FileWriter fw = null;
			File f=new File("/root/ADCBS/1.0/adcbs-ui/ADC/upload/343gs_new.txt");
			fw = new FileWriter(f, true);
			PrintWriter pw = new PrintWriter(fw);
			for(String s :line){				
				pw.println(s);
			}
			pw.flush();
			fw.flush(); 
			pw.close();
			fw.close();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return "";
		
	}
	
	//爬取图片的
	public static String getPic() {
		System.setProperty("https.protocols", "TLSv1.2");
		System.setProperty("jdk.tls.client.protocols", "TLSv1.2");
		Map<String, String> cookies = new HashMap<String, String>();
		String [] Urls=imageUrl.getUrl1();
//		 File file = new File("/root/ADCBS/345.txt");
// 		String [] Urls=txt2String(file);
		for(String imageSrc :Urls){
			if(imageSrc==null||"".equals(imageSrc)){
				break;
			} 
//		  imageSrc="https://www.miit.gov.cn/cms_files/filemanager/datainfo/cpgs/5d7a2a7526e243b2c684c0133340901c@157274.jpg";
			System.out.println(imageSrc);
			String imageName=imageSrc.replace("https://www.miit.gov.cn/cms_files/filemanager/datainfo/cpgs/", "");
			try { 
				 X509TrustManager trustManager = new X509TrustManager() {
					 @Override
					 public void checkClientTrusted(X509Certificate[] chain, String authType) throws CertificateException {
					 }
					 
					 @Override
					 public void checkServerTrusted(X509Certificate[] chain, String authType) throws CertificateException {
					 }
					 
					 @Override
					 public X509Certificate[] getAcceptedIssuers() {
						 return null;
					 }
				 
				 }; 
			    SSLContext sc = SSLContext.getInstance("TLSv1.2");
			    sc.init(null, new TrustManager[] { trustManager }, null);
			    SSLConnectionSocketFactory sslsf = new SSLConnectionSocketFactory(sc);
			    CloseableHttpClient httpclient = HttpClients.custom().setSSLSocketFactory(sslsf).build(); 
	            HttpGet get = new HttpGet(imageSrc);
	            get.setHeader("Upgrade-Insecure-Requests", "1");
	            get.setHeader("User-Agent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.110 Safari/537.36");
//	            Connection connect1 = Jsoup.connect(imageSrc);
//	            Connection.Response response1 = connect1.ignoreContentType(true).method(Method.GET).execute();// 执行请求
	            Document document = Jsoup.parse(imageSrc);
 	            HttpResponse response = httpclient.execute(get);
	            String __jsluid = getJsluid(response);
	            String body = getResponseBodyAsString(response);
 	            String __jsl_clearance = getJslClearance(body);
	            HttpGet get2 = new HttpGet(imageSrc);
	            get2.setHeader("Upgrade-Insecure-Requests", "1");
	            get2.setHeader("User-Agent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.110 Safari/537.36");
	            get2.setHeader("userAgent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.110 Safari/537.36");
 	            get2.setHeader("cookie", __jsluid + "; " + __jsl_clearance);
 	            HttpResponse response2 = httpclient.execute(get2);
 	            String body2 = getResponseBodyAsString(response2);
 	            String __jsl_clearance2 = getJslClearance2(body2);
 	            Connection connect = Jsoup.connect(imageSrc);
 	            // 伪造请求头
 	            connect.header("Accept", "application/json, text/javascript, */*; q=0.01").header("Accept-Encoding",
 	            		"gzip, deflate");
 	            connect.header("Accept-Language", "zh-CN,zh;q=0.9").header("Connection", "keep-alive");
 	            connect.header("Content-Length", "7525").header("Content-Type",
 	            		"image/jpeg");
 	            connect.header("Host", "app.miit-eidc.org.cn").header("Referer", "http://app.miit-eidc.org.cn");
 	            connect.header("User-Agent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.110 Safari/537.36");
 	            connect.header("X-Requested-With", "XMLHttpRequest");
 	            cookies.put("__jsluid_s", __jsluid.replace("__jsluid_s=", ""));
 	            cookies.put("__jsl_clearance_s",__jsl_clearance2.replace(";max-age=3600; path = /", ""));
 	            connect.cookies(cookies);
 	            //System.out.println(cookies); 
 	            Connection.Response response3 = connect.ignoreContentType(true).method(Method.GET).execute();
 	            byte[] img = response3.bodyAsBytes();
//				savaImage(img, "/root/ADCBS/345image/", imageName);
				savaImage(img, "D:/root/ADCBS/1.0/347/", imageName);
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (NoSuchAlgorithmException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (KeyManagementException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}catch (Exception e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
		return "";    
	}
	private static String getResponseBodyAsString(HttpResponse response) throws IOException {
        return IOUtils.toString(response.getEntity().getContent(), "UTF-8");
    } 
	private static String getJsluid(HttpResponse response) {
        Header header = response.getFirstHeader("set-cookie");
        String[] split = header.getValue().split(";");
        for (String s : split) {
            if (s.contains("__jsluid")) {
                return s.trim();
            }
        }
        return "";
    } 
	private static String getJslClearance2(String body) { 
		try {
			body = body.trim()
					.replace("<script>", "")
					.replace("</script>", "");
			String functiongo ="function go2(data) { var chars = data[\"chars\"][\"length\"];  for (var i = 0; i < chars; i++) { for (var j = 0; j < chars; j++) { var cookie = data[\"bts\"][0] + data[\"chars\"][\"substr\"](i, 1) + data[\"chars\"][\"substr\"](j, 1) + data[\"bts\"][1]; if (hash(cookie) == data[\"ct\"]) { return cookie;}}}};";
			String startStr = "};go({\"bts\":[\"";
			int i1 = body.indexOf(startStr) ;
			String body1=body.substring(0, i1+2);
			String body2=body.substring(i1+2, body.length());  
			String new_body=body1+functiongo+body2;
			new_body=new_body.replace("go({\"bts\":[\"", " go2({\"bts\":[\"");
			V8 runtime = V8.createV8Runtime("window");
			String result = runtime.executeStringScript(new_body);
			return result;
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			return "";
		}
	}
	private static String getJslClearance(String body) {
        V8 runtime = V8.createV8Runtime("window");
        body = body.trim()
                .replace("document.cookie=", "")
                .replace("<script>", "")
                .replace("</script>", "")
                .replace("+(';')+('p')+('a')+('t')+('h')+('=')+('/');location.href=location.pathname+location.search",
                        	  "");
        String result = runtime.executeStringScript(body);
        return result; 
    }  
	
	public static String[] txt2String(File file){
		String [] Urls= new String [10000] ; 
		          try{
		              BufferedReader br = new BufferedReader(new FileReader(file));//构造一个BufferedReader类来读取文件
		              String s = null;
		              int i=0;
		              while((s = br.readLine())!=null){//使用readLine方法，一次读一行
 		                  Urls[i]=s;
		                  i++;
		              }
		              br.close();    
		          }catch(Exception e){
		              e.printStackTrace();
		          }
		          return Urls;
		      }

	public static void savaImage(byte[] img,String filePath,String fileName) {
        BufferedOutputStream bos = null;
        FileOutputStream fos = null;
        File file = null;
        File dir = new File(filePath);
        try {
            //判断文件目录是否存在
            if(!dir.exists() && dir.isDirectory()){
                dir.mkdir();
            }
            file = new File(filePath+fileName);
            fos = new FileOutputStream(file);
            bos = new BufferedOutputStream(fos);
            bos.write(img);
        } catch (FileNotFoundException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }finally{
            if(bos!=null){
                try {
                    bos.close();
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
            if(fos!=null){
                try {
                    fos.close();
                } catch (Exception e) {
                    // TODO Auto-generated catch block
                    e.printStackTrace();
                }
            }
        }
    }
}
